Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSAttrDefElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSAttrDefElement

All Implemented Interfaces:
  XDSElement

public class XDSAttrDefElement
extends ElementImpl

An `<attr-def>` element.

See Also:
  `XDSClassDefElement.appendAttrDefElement()`

Method Summary
`void` | `setASN1ID(String someID)` Sets this element's `asn1id` attribute to `someID`.
`void` | `setAttrName(String someName)` Sets this element's `attr-name` attribute to `someName`.
`void` | `setCaseSensitive(boolean isCaseSensitive)` Sets this element's `case-sensitive` attribute to `isCaseSensitive`.
`void` | `setMultiValued(boolean isMultiValued)` Sets this element's `multi-valued` attribute to `isMultiValued`.
`void` | `setNaming(boolean isNaming)` Sets this element's `naming` attribute to `isNaming`.
`void` | `setReadOnly(boolean isReadOnly)` Sets this element's `read-only` attribute to `isReadOnly`.
`void` | `setRequired(boolean isRequired)` Sets this element's `required` attribute to `isRequired`.
`void` | `setType(ValueType someType)` Sets this element's `type` attribute to `someType`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setAttrName

    public void setAttrName(String someName)

  Sets this element's `attr-name` attribute to `someName`.

  Invocation Context:
    WRITE

  Parameters:
    `someName` - if `null` or `""`, no action is taken

### setASN1ID

    public void setASN1ID(String someID)

  Sets this element's `asn1id` attribute to `someID`.

  Invocation Context:
    WRITE

  Parameters:
    `someID` - if `null` or `""`, no action is taken

### setCaseSensitive

    public void setCaseSensitive(boolean isCaseSensitive)

  Sets this element's `case-sensitive` attribute to `isCaseSensitive`.

  Invocation Context:
    WRITE

  Parameters:
    `isCaseSensitive` - is this attribute case-sensitive?

### setMultiValued

    public void setMultiValued(boolean isMultiValued)

  Sets this element's `multi-valued` attribute to `isMultiValued`.

  Invocation Context:
    WRITE

  Parameters:
    `isMultiValued` - is this attribute multi-valued?

### setNaming

    public void setNaming(boolean isNaming)

  Sets this element's `naming` attribute to `isNaming`.

  Invocation Context:
    WRITE

  Parameters:
    `isNaming` - is this a naming attribute?

### setReadOnly

    public void setReadOnly(boolean isReadOnly)

  Sets this element's `read-only` attribute to `isReadOnly`.

  Invocation Context:
    WRITE

  Parameters:
    `isReadOnly` - is this attribute read-only?

### setRequired

    public void setRequired(boolean isRequired)

  Sets this element's `required` attribute to `isRequired`.

  Invocation Context:
    WRITE

  Parameters:
    `isRequired` - is this attribute required?

### setType

    public void setType(ValueType someType)

  Sets this element's `type` attribute to `someType`.

  Invocation Context:
    WRITE

  Parameters:
    `someType` - if `null`, no action is taken

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD